For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList events
      • POSTCreate an event
      • GETGet an event
      • POSTAcknowledge an event
      • GETGet subscription credentials
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEvents

Get an event

GET
https://api.x.flatfile.com/v1/events/:eventId
GET
/v1/events/:eventId
$curl https://api.x.flatfile.com/v1/events/us_evt_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": {
3 "topic": "workbook:updated",
4 "context": {
5 "accountId": "us_acc_YOUR_ID",
6 "environmentId": "us_env_YOUR_ID",
7 "spaceId": "us_sp_YOUR_ID",
8 "workbookId": "us_wb_YOUR_ID",
9 "actorId": "us_key_SOME_KEY"
10 },
11 "createdAt": "2023-11-07T20:46:04.300Z",
12 "domain": "workbook",
13 "id": "us_evt_YOUR_ID",
14 "payload": {
15 "recordsAdded": 100
16 },
17 "callbackUrl": "",
18 "dataUrl": "",
19 "namespaces": [
20 "workbook"
21 ],
22 "origin": {
23 "id": "us_wb_YOUR_ID"
24 }
25 }
26}
Was this page helpful?
Previous

Acknowledge an event

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

eventIdstringRequired
The event id

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject
An event that tracks an activity within an environment